package com.ym.mec.im.message;

import com.ym.mec.im.BaseMessage;
import com.ym.pojo.MusicScoreMessage;

public class MusicScoreDownloadMessageMessage extends BaseMessage {
    private MusicScoreMessage content;
    private static final transient String TYPE = "DY:musicScoreDownloadMessage";

    public MusicScoreDownloadMessageMessage(MusicScoreMessage content) {
        this.content = content;
    }

    public MusicScoreMessage getContent() {
        return content;
    }

    public void setContent(MusicScoreMessage content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "{\"id\":\"" + content.getId() +
                "\", \"examSongId\":\"" + content.getExamSongId() +
                "\", \"subjectId\":\"" + content.getSubjectId() +
                "\", \"subjectName\":\"" + content.getSubjectName() +
                "\", \"mp3Url\":\"" + content.getMp3Url() +
                "\", \"speed\":\"" + content.getSpeed() +
                "\", \"xmlUrl\":\"" + content.getXmlUrl() +
                "\", \"examSongName\":\"" + content.getExamSongName() +
                "\", \"categoriesName\":\"" + content.getCategoriesName() +
                "\", \"categoriesId\":\"" + content.getCategoriesId() +
                "\", \"type\":\"" + content.getType() +
                "\", \"url\":\"" + content.getUrl() +
                "\"}";
    }

    @Override
    public String getObjectName() {
        return TYPE;
    }
}
